Bug 624775 - SELinux empêche l'accès en « read » à /usr/bin/clamscan on filesys
SELinux empêche l'accès en « read » à /usr/bin/clamscan on filesys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:b2be72fcf01...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 14:08 EDT by Nicolas Mailhot
Modified: 2010-09-01 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 02:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-17 14:08:53 EDT
Résumé:

SELinux empêche l'accès en « read » à /usr/bin/clamscan on filesys

Description détaillée:

SELinux a refusé l'accès demandé par clamscan. Il n'est pas prévu que cet
accès soit requis par clamscan et cet accès peut signaler une tentative
d'intrusion. Il est également possible que cette version ou cette configuration
spécifique de l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               unconfined_u:system_r:clamscan_t:s0
Contexte cible                system_u:object_r:proc_t:s0
Objets du contexte            filesystems [ file ]
source                        clamscan
Chemin de la source           /usr/bin/clamscan
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         clamav-0.96.2-1400.fc14
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.8.8-15.fc14
Selinux activé               True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé) 2.6.35.2-8.fc14.x86_64 #1 SMP Sun
                              Aug 15 08:38:26 UTC 2010 x86_64 x86_64
Compteur d'alertes            31
Première alerte              mar. 17 août 2010 20:00:12 CEST
Dernière alerte              mar. 17 août 2010 20:08:23 CEST
ID local                      bdc332cc-403c-40b3-984f-cdcaf5093409
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1282068503.993:199): avc:  denied  { read } for  pid=14555 comm="clamscan" name="filesystems" dev=proc ino=4026532012 scontext=unconfined_u:system_r:clamscan_t:s0 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=(supprimé) type=SYSCALL msg=audit(1282068503.993:199): arch=c000003e syscall=2 success=no exit=-13 a0=3979325b20 a1=0 a2=1b6 a3=0 items=0 ppid=2774 pid=14555 auid=500 uid=490 gid=485 euid=490 suid=490 fsuid=490 egid=485 sgid=485 fsgid=485 tty=(none) ses=1 comm="clamscan" exe="/usr/bin/clamscan" subj=unconfined_u:system_r:clamscan_t:s0 key=(null)



Hash String generated from  catchall,clamscan,clamscan_t,proc_t,file,read
audit2allow suggests:

#============= clamscan_t ==============
allow clamscan_t proc_t:file read;
Comment 1 Daniel Walsh 2010-08-23 11:53:02 EDT
I guess we need to add


kernel_read_system_state(clamscan_t)


Although this could be a leak from the app that is executing clamscan.You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-18.fc14
Comment 2 Fedora Update System 2010-08-24 23:11:42 EDT
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 3 Fedora Update System 2010-08-25 09:31:27 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 4 Fedora Update System 2010-08-26 14:37:47 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 5 Fedora Update System 2010-09-01 02:02:03 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.